Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.ats.arjuna.xa
Class XID

    java.lang.Object
      com.arjuna.ats.arjuna.xa.XID

All Implemented Interfaces:
  java.io.Serializable

public class XID
extends java.lang.Object
implements java.io.Serializable

An X/Open XID implementation.

Since:
  JTS 1.0.
Version:
  $Id: XID.java 2342 2006-03-30 13:06:17Z $
Author:
  Mark Little (mark@arjuna.com)
See Also:
  Serialized Form

Field Summary
`int` | `bqual_length`
`byte[]` | `data`
`int` | `formatID`
`int` | `gtrid_length`
`static int` | `MAXBQUALSIZE`
`static int` | `MAXGTRIDSIZE`
`static int` | `NULL_XID`
`static int` | `XIDDATASIZE`

Constructor Summary
`XID()`

Method Summary
`void` | `copy(XID toCopy)`
`boolean` | `equals(XID other)`
`boolean` | `isSameTransaction(XID xid)` Check for equality, then check transaction id only.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### XIDDATASIZE

    public static final int XIDDATASIZE

See Also:
  Constant Field Values

### MAXGTRIDSIZE

    public static final int MAXGTRIDSIZE

See Also:
  Constant Field Values

### MAXBQUALSIZE

    public static final int MAXBQUALSIZE

See Also:
  Constant Field Values

### NULL_XID

    public static final int NULL_XID

See Also:
  Constant Field Values

### formatID

    public int formatID

### gtrid_length

    public int gtrid_length

### bqual_length

    public int bqual_length

### data

    public byte[] data

Constructor Detail

### XID

    public XID()

Method Detail

### isSameTransaction

    public final boolean isSameTransaction(XID xid)

  Check for equality, then check transaction id only.

### copy

    public void copy(XID toCopy)

### equals

    public boolean equals(XID other)

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD